# Moaning Sound Collector

Moaning Sound Collector is an ambient dungeon noise ASCII roguelike walking sim. It can be played as an ambient game of exploration, an ASCII LSD emulator or as a performance tool or way to generate new abstract music. The goal of the game is to enjoy yourself exploring the small generated villages by visiting venues, finding random objects such as books to read about, and collecting generated ambient and experimental music, which you can listen to or assemble into tapes. It takes some inspiration from the roguelike Robotfindskitten, from 90s videogame world generator LSD Dream Emulator and 2010s 3d walking sims like Proteus. 

# Devlog

~Dungeon of the Day~ (original name) was initially begun during 7drl 2021 but I missed finishing it, instead building out my engine with the blessed library and implementating map generation. I have continued ambiently (!) working on it.

[devlog](devlog.md)

## Install

[Download the zip of the repo](https://tildegit.org/exquisitecorp/dungeon-of-the-day/archive/master.zip)

Unzip

Install needed node.js libraries

```
npm install
```
## Pre-reqs

In addition to the node.js packages, you must have an audio player such as mplayer, sox, mpg123 or mpg321 installed, etc. This is currently specified manually in line 15-16 (mplayer by default). mplayer can be installed via your package manager.

## Usage

Create a new dungeon from the command line:

```
node village --new
```

Or just launch the current village without spawning a new one:

```
node village
```

### Controls

Arrow keys or vim keys to move. Q to quit. P to pick up an item.


### License

Chewing, Carrot, A.wav by InspectorJ on freesound.org

Items from robotfindskitten GPLv2

Other libraries licenses can be found in their documentation.
